<?php
define('_IN_JOHNCMS', 1);
$headmod = 'Wmid';
$textl = 'Мой WMID';
require_once ('../incfiles/core.php');
require_once ('../incfiles/head.php');
if (!$user_id) {display_error('Только для зарегистрированных посетителей');
require_once ('../incfiles/end.php');
exit;}
switch ($act) {
case 'ok' :
$wmid = isset ($_POST['wmid']) ? trim($_POST['wmid']) : '';
// Записываем в базу
mysql_query("UPDATE `users` SET `wmid` = '" . mysql_real_escape_string($wmid) . "' WHERE `id` = '" . $datauser['id'] ."' LIMIT 1");
echo '<div class="gmenu"><b>WMID успешно заполнен!</b></div>';
break;

default :
echo '<div class="phdr">Введите WMID:</div>';
if ($datauser['wmid'] != 0){ echo 'Для смены WMID обратитесь к администрации портала. <br />Ваш WMID:<br />WMID#'.$datauser['wmid'].'';
}else{
echo '<form action="wmid.php?act=ok" method="post">';
echo '<div class="menu">WMID#<input type="wmid" name=" wmid" value="'.$datauser['wmid'].'"  /><br />';
echo '<input type="submit" value="Сохранить" name="submit" />';
echo '</div></form>';}
echo '<div class="phdr">Вводить только цифры!</div>';
echo '<a href="anketa.php">В анкету</a>';}
require_once ('../incfiles/end.php');
?>
